[Zope-Checkins] SVN: Zope/trunk/doc/CHANGES.txt - Collector #1895: testrunner: omitting the 'var' from recursive

2005-10-14 Thread Andreas Jung
Log message for revision 39447: - Collector #1895: testrunner: omitting the 'var' from recursive directory walking Changed: U Zope/trunk/doc/CHANGES.txt -=- Modified: Zope/trunk/doc/CHANGES.txt === ---

[Zope-Checkins] SVN: Zope/branches/Zope-2_8-branch/doc/CHANGES.txt there was already an entry for #1895

2005-10-14 Thread Andreas Jung
Log message for revision 39449: there was already an entry for #1895 Changed: U Zope/branches/Zope-2_8-branch/doc/CHANGES.txt -=- Modified: Zope/branches/Zope-2_8-branch/doc/CHANGES.txt === ---

[Zope-Coders] Zope tests: 8 OK

2005-10-14 Thread Zope tests summarizer
Summary of messages to the zope-tests list. Period Thu Oct 13 11:01:01 2005 UTC to Fri Oct 14 11:01:01 2005 UTC. There were 8 messages: 8 from Zope Unit Tests. Tests passed OK --- Subject: OK : Zope-2_6-branch Python-2.1.3 : Linux From: Zope Unit Tests Date: Thu Oct 13 22:29:42 EDT

Re: [Zope] Show ISO-8859-7 Results in a site using UTF-8

2005-10-14 Thread Thomas G. Apostolou
Αρχικό μήνυμα από Andreas Jung [EMAIL PROTECTED]: --On 13. Oktober 2005 13:20:07 +0300 Thomas G. Apostolou [EMAIL PROTECTED] wrote: Hello all, i am using Zope 2.7.0 and i get some results from SQL Server 2000 with a python module's fanction witch i call from with in a DTML

Re: [Zope] error trying to import smtplib (unauthorized)

2005-10-14 Thread Nicolas Georgakopoulos
Chris Withers wrote: Nicolas Georgakopoulos wrote: I will try VerboseSecurity for a last chance ... if it doesn't work I will install the lates Zope release. No, you haven't anyway taken me through, step by step, what you've done to get where you are... What release of Zope are you

Re: [Zope] error trying to import smtplib (unauthorized)

2005-10-14 Thread Jens Vagelpohl
On 14 Oct 2005, at 10:41, Nicolas Georgakopoulos wrote: Sorry for the delay Chris but I read some where that VerboseSecurity is made only for Zope 2.7 and some users recommend not to install that product because it changes the security policies of zope with the authors ...

Re: [Zope] error trying to import smtplib (unauthorized)

2005-10-14 Thread Jens Vagelpohl
On 14 Oct 2005, at 11:02, Nicolas Georgakopoulos wrote: VerboseSecurity is *integrated* into Zope after 2.8, you don't install it separately. You enable it in zope.conf, see the verbose- security option. jens Thank's Jens I didn't know that. I find it verbose- security option in the

Re: [Zope] How can i call a pyhton module's function from with in Page Temmplates?

2005-10-14 Thread Chris Withers
Thomas Apostolou wrote: i saw that from within a DTML Method one is able to call a fuction of a python module in the file system. I don't think so... Now i want to get the funtion's results from within a Page Template. Which function? Give us an example of what you've tried... Is the

Re: [Zope] selected in select lists

2005-10-14 Thread Chris Withers
Garry Saddington wrote: DTML: select name=groupabbrev dtml-in getpastoralgroups option value=dtml-var thisgroupabbrev dtml-if expr=groupabbrev==_.str(thisgroupabbrev) selected/dtml-if dtml-var thisgroupabbrev/option /dtml-in /select And just for comparison, here's the ZPT: select

Re: [Zope] zope.conf read-only settings

2005-10-14 Thread Chris Withers
Steven Hayles wrote: AFAICS the directives zserver-read-only-mode and read-only-database just set the environment value ZOPE_READ_ONLY and no change in ZOPE's operation results. Am I right? This is ZOPE 2.7.7 Not really sure what you're asking? Did you try these and find they made no

Re: [Zope] Zope Debugger lets WingDbg fail to connect toclient

2005-10-14 Thread Chris Withers
Wingware Support wrote: Because Wing currently doesn't read files from anywhere but the file system. I have looked briefly at zdb, but have not had time to set it up yet. Man, you are short of time ;-) Wing's debugger does not use pdb or even the linecache module, so zdb's technique of

Re: [Zope] error trying to import smtplib (unauthorized)

2005-10-14 Thread Chris Withers
Nicolas Georgakopoulos wrote: FINALLY it work's! I installed VerboseSecurity and repeat the same action'sit just work. Right, well, that's not good news ;-) As Jens pointed out VerboseSecurity shouldn't be installed in 2.8, which I only just found out... The fact that it makes

[Zope] ZOPE and INSTANCES

2005-10-14 Thread benmania
Hi guys, I installed Zope2.7 and created an instance home in /var/lib/zope2.7/instance But whenever I try to run a instance by using runzope in /var/lib/zope2.7/instance/, I will get the following error: -- -bash: runzope: command not found. -- Whenever I try

Re: [Zope] Zope 2.7.8 or Zope 2.8.X

2005-10-14 Thread Lennart Regebro
On 10/13/05, Dennis Allison [EMAIL PROTECTED] wrote: We have been running on Zope 2.7.6 with a few patches. I am now planning to migrate to Zope 2.7.8 but am pondering the move to Zope 2.8. We are in a production situation and cannot accept any downtime, so I am very concerned about

Re: [Zope] zope.conf read-only settings

2005-10-14 Thread S.Hayles
On Fri, 14 Oct 2005, Chris Withers wrote: Steven Hayles wrote: AFAICS the directives zserver-read-only-mode and read-only-database just set the environment value ZOPE_READ_ONLY and no change in ZOPE's operation results. Am I right? This is ZOPE 2.7.7 Not really sure what you're asking?

Re: [Zope] ZOPE and INSTANCES

2005-10-14 Thread Andreas Jung
--On 14. Oktober 2005 13:40:02 +0200 [EMAIL PROTECTED] wrote: Hi guys, I installed Zope2.7 and created an instance home in /var/lib/zope2.7/instance But whenever I try to run a instance by using runzope in /var/lib/zope2.7/instance/, I will get the following error: -- -bash:

Re: [Zope] error trying to import smtplib (unauthorized)

2005-10-14 Thread Nicolas Georgakopoulos
Chris Withers wrote: Nicolas Georgakopoulos wrote: FINALLY it work's! I installed VerboseSecurity and repeat the same action'sit just work. Right, well, that's not good news ;-) As Jens pointed out VerboseSecurity shouldn't be installed in 2.8, which I only just found out...

Re: [Zope] ZOPE and INSTANCES

2005-10-14 Thread Andreas Pakulat
On 14.10.05 13:40:02, [EMAIL PROTECTED] wrote: I installed Zope2.7 and created an instance home in /var/lib/zope2.7/instance But whenever I try to run a instance by using runzope in /var/lib/zope2.7/instance/, I will get the following error: -- -bash: runzope: command not

[Zope] Re: Zope 2.8.2 released

2005-10-14 Thread Paul Winkler
On 10/14/05, Andreas Jung [EMAIL PROTECTED] wrote: OK, done for 2.8 branch. But I'm leaving the trunk alone, as it looks like lots of stuff from 2.8 is not yet in the trunk CHANGES.txt, and I don't want to confuse things further - AFAICT the normal procedure is to let the release manager

Re: [Zope] error trying to import smtplib (unauthorized)

2005-10-14 Thread Chris Withers
Hi Nicolas, Nicolas Georgakopoulos wrote: thank you for your support ! Right, I'm not gonna get to do a new release as soon as I'd like since there are a few more issues I want to solve. However, as the one you found is a bit of a showstopper as far as using MailTemplates to send

[Zope] Error on starting and stopping Zope 2.8.2

2005-10-14 Thread hpinson
Hello. On starting and stopping Zope 2.8.2 (upgraded from 2.8.1, compiled with Python 2.4.2, running on Fedora Core 3) I get the following error. Performance does not seem to be affected. Resolution? # service zopectl start /opt/python2.4.2/lib/python2.4/whrandom.py:38: DeprecationWarning:

Re: [Zope] Error on starting and stopping Zope 2.8.2

2005-10-14 Thread Jens Vagelpohl
On 14 Oct 2005, at 17:09, [EMAIL PROTECTED] wrote: Hello. On starting and stopping Zope 2.8.2 (upgraded from 2.8.1, compiled with Python 2.4.2, running on Fedora Core 3) I get the following error. Performance does not seem to be affected. Resolution? # service zopectl start

RE: [Zope] Error on starting and stopping Zope 2.8.2

2005-10-14 Thread Pascal Peregrina
From the Zope 2.8.2 announcement on this mailing list : Please also keep in mind that Zope 2.8.2 requires Python 2.3.5. Zope 2.8.2 is not certified for any Python 2.4.x versions. So using Python 2.4 is neither recommended nor supported and any related questions or problems are likely to be

Re: [Zope] Error on starting and stopping Zope 2.8.2

2005-10-14 Thread Andreas Jung
--On 14. Oktober 2005 10:09:39 -0600 [EMAIL PROTECTED] wrote: Hello. On starting and stopping Zope 2.8.2 (upgraded from 2.8.1, compiled with Python 2.4.2, running on Fedora Core 3) I get the following error. Performance does not seem to be affected. Resolution? Quote from my announcement

[Zope] resolving conflict errors

2005-10-14 Thread Dennis Allison
Zope 2.7.6 I am a bit confused. I have a Zope DTML method that is generating ZODB conflict errors. The DTML method identified as producing the conflicts is a list of calls to other methods, conditionally executed. Most conflicts don't cause problems because the backoff and restart of the

Re: [Zope] resolving conflict errors

2005-10-14 Thread Chris McDonough
On Fri, 2005-10-14 at 09:27 -0700, Dennis Allison wrote: Zope 2.7.6 I am a bit confused. I have a Zope DTML method that is generating ZODB conflict errors. The DTML method identified as producing the conflicts is a list of calls to other methods, conditionally executed. Most

Re: [Zope] Error on starting and stopping Zope 2.8.2

2005-10-14 Thread hpinson
Please also keep in mind that Zope 2.8.2 requires Python 2.3.5. Zope 2.8.2 is not certified for any Python 2.4.x versions. So using Python 2.4 is neither recommended nor supported and any related questions or problems are likely to be ignored until 2.4 is an officially supported Python

Re: [Zope] resolving conflict errors

2005-10-14 Thread Dennis Allison
Thanks Chris. On point as usual! I was unaware that the session mechanism used the ZODB although a bit of thought says it has to. We don't store any data into the ZODB in these methods, but we do use the session mechanism heavily. I suppose that moving to a fully transactional database system

Re: [Zope] Error on starting and stopping Zope 2.8.2

2005-10-14 Thread Tim Peters
[ [EMAIL PROTECTED] My mistake, but given that, any sense if I can I safely ignore the warning? It's a DeprecationWarning. All it means is that Python's `whrandom` module is going to go away in a future release -- it's advising applications to switch to using the `random` module if they want

Re: [Zope] Error on starting and stopping Zope 2.8.2

2005-10-14 Thread hpinson
It's a DeprecationWarning. I see. Thanks. In contrast, Python 2.4 is now _required_ for Zope 3 development. Zope 3 has a different approach to security, which isn't as sensitive to changes in Python. Good point-- this is why I had compiled 2.8.2 erroneously with Python 2.4.2-- I was

[Zope] Need for advice ...

2005-10-14 Thread Enrique Arizón
By desire of the gods and the ebays lords a bargain Sun Enterprise 250 arrived to my hands this week. The machine is equiped with 6x50GBytes SCSI HDs that can be setup in RAID 0, 1, 5 and 01 combinations and two Sparc 64bits CPUs with Solaris 10. The idea is to use it mainly for Zope/ZEO/Plone

Re: [Zope] Need for advice ...

2005-10-14 Thread Andreas Jung
--On 14. Oktober 2005 20:24:28 +0200 Enrique Arizón [EMAIL PROTECTED] wrote: By desire of the gods and the ebays lords a bargain Sun Enterprise 250 arrived to my hands this week. The machine is equiped with 6x50GBytes SCSI HDs that can be setup in RAID 0, 1, 5 and 01 combinations and two

Re: [Zope] Need for advice ...

2005-10-14 Thread Andreas Jung
--On 14. Oktober 2005 20:24:28 +0200 Enrique Arizón [EMAIL PROTECTED] wrote: By desire of the gods and the ebays lords a bargain Sun Enterprise 250 arrived to my hands this week. The machine is equiped with 6x50GBytes SCSI HDs that can be setup in RAID 0, 1, 5 and 01 combinations and two

Re: [Zope] selected in select lists

2005-10-14 Thread Garry Saddington
Chris Withers wrote: Garry Saddington wrote: DTML: select name=groupabbrev dtml-in getpastoralgroups option value=dtml-var thisgroupabbrev dtml-if expr=groupabbrev==_.str(thisgroupabbrev) selected/dtml-if dtml-var thisgroupabbrev/option /dtml-in /select And just for comparison, here's

[Zope] Backing up Zope

2005-10-14 Thread curtorkar
Hi, Can anyone advise me on backing up zope. Our license is going to expire soon, and before we get the new license, I would like to have a backup of my existing setup. --Walter ___ Zope maillist - Zope@zope.org

Re: [Zope] Backing up Zope

2005-10-14 Thread Jens Vagelpohl
On 14 Oct 2005, at 20:29, [EMAIL PROTECTED] wrote: Hi, Can anyone advise me on backing up zope. Our license is going to expire soon, and before we get the new license, I would like to have a backup of my existing setup. Huh? Zope does not have any license that expires... what exactly are

Re: [Zope] Backing up Zope

2005-10-14 Thread Jake
http://www.zopezone.com/faq/1128712607 -- http://www.ZopeZone.com [EMAIL PROTECTED] said: Hi, Can anyone advise me on backing up zope. Our license is going to expire soon, and before we get the new license, I would like to have a backup of my existing setup. --Walter

[Zope] apache open proxy configuration problem

2005-10-14 Thread Ed Colmar
I've been running zope through apache for years and years now, and I have a new machine set up with apache 2.0.48 and zope (Zope 2.8.0-final, python 2.3.5, linux2) Using Identical Vhost configuration settings from an old machine all has been well, up until about 5 days ago, when I noticed the

[Zope] Deleting objects from an external method

2005-10-14 Thread Nikko Wolf
I'm trying to allow users to delete objects that have been accidentally created. I have criteria for what that means, but since I *DO NOT* want them to delete object except by this method, I want to avoid granting Delete objects to them (non-Managers). Can this even be done? At the base

Re: [Zope] selected in select lists

2005-10-14 Thread Tino Wildenhain
Am Freitag, den 14.10.2005, 20:03 +0100 schrieb Garry Saddington: Chris Withers wrote: Garry Saddington wrote: DTML: select name=groupabbrev dtml-in getpastoralgroups option value=dtml-var thisgroupabbrev dtml-if expr=groupabbrev==_.str(thisgroupabbrev) selected/dtml-if

RE: [Zope] apache open proxy configuration problem

2005-10-14 Thread Kanealii, Priam Mr KRS
Title: RE: [Zope] apache open proxy configuration problem I abandoned mod_proxy for mod_rewrite. Security-wise, mod_rewrite had less to worry about (this is important when website administration changes hands). The sample configuration below shows how to handle Zope resource quirks and how

Re: [Zope] selected in select lists

2005-10-14 Thread Garry Saddington
Tino Wildenhain wrote: Am Freitag, den 14.10.2005, 20:03 +0100 schrieb Garry Saddington: Chris Withers wrote: Garry Saddington wrote: DTML: select name=groupabbrev dtml-in getpastoralgroups option value=dtml-var thisgroupabbrev dtml-if

Re: [Zope] selected in select lists

2005-10-14 Thread David H
Garry Saddington wrote: Tino Wildenhain wrote: Am Freitag, den 14.10.2005, 20:03 +0100 schrieb Garry Saddington: Chris Withers wrote: Garry Saddington wrote: DTML: select name=groupabbrev dtml-in getpastoralgroups option value=dtml-var thisgroupabbrev dtml-if